Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr.treewalker
[Java] Class VisitorAdapter

    java.lang.Object
      org.codehaus.groovy.antlr.treewalker.VisitorAdapter

All Implemented Interfaces:
  Visitor

    public class VisitorAdapter
    extends java.lang.Object

A default implementation of all visitor methods. If you extend this class, any un-overridden visit methods will call visitDefault.

Authors:
  Jeremy Rayner

Version:
  \$Revision\$

Method Summary
`GroovySourceAST` | `pop()`
`void` | `push(GroovySourceAST t)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `visitAbstract(GroovySourceAST t, int visit)`
`void` | `visitAnnotation(GroovySourceAST t, int visit)`
`void` | `visitAnnotationArrayInit(GroovySourceAST t, int visit)`
`void` | `visitAnnotationDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationFieldDef(GroovySourceAST t, int visit)`
`void` | `visitAnnotationMemberValuePair(GroovySourceAST t, int visit)`
`void` | `visitAnnotations(GroovySourceAST t, int visit)`
`void` | `visitArrayDeclarator(GroovySourceAST t, int visit)`
`void` | `visitAssign(GroovySourceAST t, int visit)`
`void` | `visitAt(GroovySourceAST t, int visit)`
`void` | `visitBand(GroovySourceAST t, int visit)`
`void` | `visitBandAssign(GroovySourceAST t, int visit)`
`void` | `visitBigSuffix(GroovySourceAST t, int visit)`
`void` | `visitBlock(GroovySourceAST t, int visit)`
`void` | `visitBnot(GroovySourceAST t, int visit)`
`void` | `visitBor(GroovySourceAST t, int visit)`
`void` | `visitBorAssign(GroovySourceAST t, int visit)`
`void` | `visitBsr(GroovySourceAST t, int visit)`
`void` | `visitBsrAssign(GroovySourceAST t, int visit)`
`void` | `visitBxor(GroovySourceAST t, int visit)`
`void` | `visitBxorAssign(GroovySourceAST t, int visit)`
`void` | `visitCaseGroup(GroovySourceAST t, int visit)`
`void` | `visitClassDef(GroovySourceAST t, int visit)`
`void` | `visitClosedBlock(GroovySourceAST t, int visit)`
`void` | `visitClosureList(GroovySourceAST t, int visit)`
`void` | `visitClosureOp(GroovySourceAST t, int visit)`
`void` | `visitColon(GroovySourceAST t, int visit)`
`void` | `visitComma(GroovySourceAST t, int visit)`
`void` | `visitCompareTo(GroovySourceAST t, int visit)`
`void` | `visitCtorCall(GroovySourceAST t, int visit)`
`void` | `visitCtorIdent(GroovySourceAST t, int visit)`
`void` | `visitDec(GroovySourceAST t, int visit)`
`void` | `visitDefault(GroovySourceAST t, int visit)`
`void` | `visitDigit(GroovySourceAST t, int visit)`
`void` | `visitDiv(GroovySourceAST t, int visit)`
`void` | `visitDivAssign(GroovySourceAST t, int visit)`
`void` | `visitDollar(GroovySourceAST t, int visit)`
`void` | `visitDot(GroovySourceAST t, int visit)`
`void` | `visitDynamicMember(GroovySourceAST t, int visit)`
`void` | `visitElist(GroovySourceAST t, int visit)`
`void` | `visitEmptyStat(GroovySourceAST t, int visit)`
`void` | `visitEnumConstantDef(GroovySourceAST t, int visit)`
`void` | `visitEnumDef(GroovySourceAST t, int visit)`
`void` | `visitEof(GroovySourceAST t, int visit)`
`void` | `visitEqual(GroovySourceAST t, int visit)`
`void` | `visitEsc(GroovySourceAST t, int visit)`
`void` | `visitExponent(GroovySourceAST t, int visit)`
`void` | `visitExpr(GroovySourceAST t, int visit)`
`void` | `visitExtendsClause(GroovySourceAST t, int visit)`
`void` | `visitFinal(GroovySourceAST t, int visit)`
`void` | `visitFloatSuffix(GroovySourceAST t, int visit)`
`void` | `visitForCondition(GroovySourceAST t, int visit)`
`void` | `visitForEachClause(GroovySourceAST t, int visit)`
`void` | `visitForInIterable(GroovySourceAST t, int visit)`
`void` | `visitForInit(GroovySourceAST t, int visit)`
`void` | `visitForIterator(GroovySourceAST t, int visit)`
`void` | `visitGe(GroovySourceAST t, int visit)`
`void` | `visitGt(GroovySourceAST t, int visit)`
`void` | `visitHexDigit(GroovySourceAST t, int visit)`
`void` | `visitIdent(GroovySourceAST t, int visit)`
`void` | `visitImplementsClause(GroovySourceAST t, int visit)`
`void` | `visitImplicitParameters(GroovySourceAST t, int visit)`
`void` | `visitImport(GroovySourceAST t, int visit)`
`void` | `visitInc(GroovySourceAST t, int visit)`
`void` | `visitIndexOp(GroovySourceAST t, int visit)`
`void` | `visitInstanceInit(GroovySourceAST t, int visit)`
`void` | `visitInterfaceDef(GroovySourceAST t, int visit)`
`void` | `visitLabeledArg(GroovySourceAST t, int visit)`
`void` | `visitLabeledStat(GroovySourceAST t, int visit)`
`void` | `visitLand(GroovySourceAST t, int visit)`
`void` | `visitLbrack(GroovySourceAST t, int visit)`
`void` | `visitLcurly(GroovySourceAST t, int visit)`
`void` | `visitLe(GroovySourceAST t, int visit)`
`void` | `visitLetter(GroovySourceAST t, int visit)`
`void` | `visitListConstructor(GroovySourceAST t, int visit)`
`void` | `visitLiteralAs(GroovySourceAST t, int visit)`
`void` | `visitLiteralAssert(GroovySourceAST t, int visit)`
`void` | `visitLiteralBoolean(GroovySourceAST t, int visit)`
`void` | `visitLiteralBreak(GroovySourceAST t, int visit)`
`void` | `visitLiteralByte(GroovySourceAST t, int visit)`
`void` | `visitLiteralCase(GroovySourceAST t, int visit)`
`void` | `visitLiteralCatch(GroovySourceAST t, int visit)`
`void` | `visitLiteralChar(GroovySourceAST t, int visit)`
`void` | `visitLiteralClass(GroovySourceAST t, int visit)`
`void` | `visitLiteralContinue(GroovySourceAST t, int visit)`
`void` | `visitLiteralDef(GroovySourceAST t, int visit)`
`void` | `visitLiteralDefault(GroovySourceAST t, int visit)`
`void` | `visitLiteralDouble(GroovySourceAST t, int visit)`
`void` | `visitLiteralElse(GroovySourceAST t, int visit)`
`void` | `visitLiteralEnum(GroovySourceAST t, int visit)`
`void` | `visitLiteralExtends(GroovySourceAST t, int visit)`
`void` | `visitLiteralFalse(GroovySourceAST t, int visit)`
`void` | `visitLiteralFinally(GroovySourceAST t, int visit)`
`void` | `visitLiteralFloat(GroovySourceAST t, int visit)`
`void` | `visitLiteralFor(GroovySourceAST t, int visit)`
`void` | `visitLiteralIf(GroovySourceAST t, int visit)`
`void` | `visitLiteralImplements(GroovySourceAST t, int visit)`
`void` | `visitLiteralImport(GroovySourceAST t, int visit)`
`void` | `visitLiteralIn(GroovySourceAST t, int visit)`
`void` | `visitLiteralInstanceof(GroovySourceAST t, int visit)`
`void` | `visitLiteralInt(GroovySourceAST t, int visit)`
`void` | `visitLiteralInterface(GroovySourceAST t, int visit)`
`void` | `visitLiteralLong(GroovySourceAST t, int visit)`
`void` | `visitLiteralNative(GroovySourceAST t, int visit)`
`void` | `visitLiteralNew(GroovySourceAST t, int visit)`
`void` | `visitLiteralNull(GroovySourceAST t, int visit)`
`void` | `visitLiteralPackage(GroovySourceAST t, int visit)`
`void` | `visitLiteralPrivate(GroovySourceAST t, int visit)`
`void` | `visitLiteralProtected(GroovySourceAST t, int visit)`
`void` | `visitLiteralPublic(GroovySourceAST t, int visit)`
`void` | `visitLiteralReturn(GroovySourceAST t, int visit)`
`void` | `visitLiteralShort(GroovySourceAST t, int visit)`
`void` | `visitLiteralStatic(GroovySourceAST t, int visit)`
`void` | `visitLiteralSuper(GroovySourceAST t, int visit)`
`void` | `visitLiteralSwitch(GroovySourceAST t, int visit)`
`void` | `visitLiteralSynchronized(GroovySourceAST t, int visit)`
`void` | `visitLiteralThis(GroovySourceAST t, int visit)`
`void` | `visitLiteralThreadsafe(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrow(GroovySourceAST t, int visit)`
`void` | `visitLiteralThrows(GroovySourceAST t, int visit)`
`void` | `visitLiteralTransient(GroovySourceAST t, int visit)`
`void` | `visitLiteralTrue(GroovySourceAST t, int visit)`
`void` | `visitLiteralTry(GroovySourceAST t, int visit)`
`void` | `visitLiteralVoid(GroovySourceAST t, int visit)`
`void` | `visitLiteralVolatile(GroovySourceAST t, int visit)`
`void` | `visitLiteralWhile(GroovySourceAST t, int visit)`
`void` | `visitLnot(GroovySourceAST t, int visit)`
`void` | `visitLor(GroovySourceAST t, int visit)`
`void` | `visitLparen(GroovySourceAST t, int visit)`
`void` | `visitLt(GroovySourceAST t, int visit)`
`void` | `visitMapConstructor(GroovySourceAST t, int visit)`
`void` | `visitMemberPointer(GroovySourceAST t, int visit)`
`void` | `visitMethodCall(GroovySourceAST t, int visit)`
`void` | `visitMethodDef(GroovySourceAST t, int visit)`
`void` | `visitMinus(GroovySourceAST t, int visit)`
`void` | `visitMinusAssign(GroovySourceAST t, int visit)`
`void` | `visitMlComment(GroovySourceAST t, int visit)`
`void` | `visitMod(GroovySourceAST t, int visit)`
`void` | `visitModAssign(GroovySourceAST t, int visit)`
`void` | `visitModifiers(GroovySourceAST t, int visit)`
`void` | `visitMultiCatch(GroovySourceAST t, int visit)`
`void` | `visitMultiCatchTypes(GroovySourceAST t, int visit)`
`void` | `visitNls(GroovySourceAST t, int visit)`
`void` | `visitNotEqual(GroovySourceAST t, int visit)`
`void` | `visitNullTreeLookahead(GroovySourceAST t, int visit)`
`void` | `visitNumBigDecimal(GroovySourceAST t, int visit)`
`void` | `visitNumBigInt(GroovySourceAST t, int visit)`
`void` | `visitNumDouble(GroovySourceAST t, int visit)`
`void` | `visitNumFloat(GroovySourceAST t, int visit)`
`void` | `visitNumInt(GroovySourceAST t, int visit)`
`void` | `visitNumLong(GroovySourceAST t, int visit)`
`void` | `visitObjblock(GroovySourceAST t, int visit)`
`void` | `visitOneNl(GroovySourceAST t, int visit)`
`void` | `visitOptionalDot(GroovySourceAST t, int visit)`
`void` | `visitPackageDef(GroovySourceAST t, int visit)`
`void` | `visitParameterDef(GroovySourceAST t, int visit)`
`void` | `visitParameters(GroovySourceAST t, int visit)`
`void` | `visitPlus(GroovySourceAST t, int visit)`
`void` | `visitPlusAssign(GroovySourceAST t, int visit)`
`void` | `visitPostDec(GroovySourceAST t, int visit)`
`void` | `visitPostInc(GroovySourceAST t, int visit)`
`void` | `visitQuestion(GroovySourceAST t, int visit)`
`void` | `visitRangeExclusive(GroovySourceAST t, int visit)`
`void` | `visitRangeInclusive(GroovySourceAST t, int visit)`
`void` | `visitRbrack(GroovySourceAST t, int visit)`
`void` | `visitRcurly(GroovySourceAST t, int visit)`
`void` | `visitRegexFind(GroovySourceAST t, int visit)`
`void` | `visitRegexMatch(GroovySourceAST t, int visit)`
`void` | `visitRegexpCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitRegexpLiteral(GroovySourceAST t, int visit)`
`void` | `visitRegexpSymbol(GroovySourceAST t, int visit)`
`void` | `visitRparen(GroovySourceAST t, int visit)`
`void` | `visitSelectSlot(GroovySourceAST t, int visit)`
`void` | `visitSemi(GroovySourceAST t, int visit)`
`void` | `visitShComment(GroovySourceAST t, int visit)`
`void` | `visitSl(GroovySourceAST t, int visit)`
`void` | `visitSlAssign(GroovySourceAST t, int visit)`
`void` | `visitSlComment(GroovySourceAST t, int visit)`
`void` | `visitSlist(GroovySourceAST t, int visit)`
`void` | `visitSpreadArg(GroovySourceAST t, int visit)`
`void` | `visitSpreadDot(GroovySourceAST t, int visit)`
`void` | `visitSpreadMapArg(GroovySourceAST t, int visit)`
`void` | `visitSr(GroovySourceAST t, int visit)`
`void` | `visitSrAssign(GroovySourceAST t, int visit)`
`void` | `visitStar(GroovySourceAST t, int visit)`
`void` | `visitStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStarStar(GroovySourceAST t, int visit)`
`void` | `visitStarStarAssign(GroovySourceAST t, int visit)`
`void` | `visitStaticImport(GroovySourceAST t, int visit)`
`void` | `visitStaticInit(GroovySourceAST t, int visit)`
`void` | `visitStrictfp(GroovySourceAST t, int visit)`
`void` | `visitStringCh(GroovySourceAST t, int visit)`
`void` | `visitStringConstructor(GroovySourceAST t, int visit)`
`void` | `visitStringCtorEnd(GroovySourceAST t, int visit)`
`void` | `visitStringCtorMiddle(GroovySourceAST t, int visit)`
`void` | `visitStringCtorStart(GroovySourceAST t, int visit)`
`void` | `visitStringLiteral(GroovySourceAST t, int visit)`
`void` | `visitStringNl(GroovySourceAST t, int visit)`
`void` | `visitSuperCtorCall(GroovySourceAST t, int visit)`
`void` | `visitTripleDot(GroovySourceAST t, int visit)`
`void` | `visitType(GroovySourceAST t, int visit)`
`void` | `visitTypeArgument(GroovySourceAST t, int visit)`
`void` | `visitTypeArguments(GroovySourceAST t, int visit)`
`void` | `visitTypeLowerBounds(GroovySourceAST t, int visit)`
`void` | `visitTypeParameter(GroovySourceAST t, int visit)`
`void` | `visitTypeParameters(GroovySourceAST t, int visit)`
`void` | `visitTypeUpperBounds(GroovySourceAST t, int visit)`
`void` | `visitTypecast(GroovySourceAST t, int visit)`
`void` | `visitUnaryMinus(GroovySourceAST t, int visit)`
`void` | `visitUnaryPlus(GroovySourceAST t, int visit)`
`void` | `visitUnusedConst(GroovySourceAST t, int visit)`
`void` | `visitUnusedDo(GroovySourceAST t, int visit)`
`void` | `visitUnusedGoto(GroovySourceAST t, int visit)`
`void` | `visitVariableDef(GroovySourceAST t, int visit)`
`void` | `visitVariableParameterDef(GroovySourceAST t, int visit)`
`void` | `visitVocab(GroovySourceAST t, int visit)`
`void` | `visitWildcardType(GroovySourceAST t, int visit)`
`void` | `visitWs(GroovySourceAST t, int visit)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### pop

    public GroovySourceAST pop()

### push

    public void push(GroovySourceAST t)

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### visitAbstract

    public void visitAbstract(GroovySourceAST t, int visit)

### visitAnnotation

    public void visitAnnotation(GroovySourceAST t, int visit)

### visitAnnotationArrayInit

    public void visitAnnotationArrayInit(GroovySourceAST t, int visit)

### visitAnnotationDef

    public void visitAnnotationDef(GroovySourceAST t, int visit)

### visitAnnotationFieldDef

    public void visitAnnotationFieldDef(GroovySourceAST t, int visit)

### visitAnnotationMemberValuePair

    public void visitAnnotationMemberValuePair(GroovySourceAST t, int visit)

### visitAnnotations

    public void visitAnnotations(GroovySourceAST t, int visit)

### visitArrayDeclarator

    public void visitArrayDeclarator(GroovySourceAST t, int visit)

### visitAssign

    public void visitAssign(GroovySourceAST t, int visit)

### visitAt

    public void visitAt(GroovySourceAST t, int visit)

### visitBand

    public void visitBand(GroovySourceAST t, int visit)

### visitBandAssign

    public void visitBandAssign(GroovySourceAST t, int visit)

### visitBigSuffix

    public void visitBigSuffix(GroovySourceAST t, int visit)

### visitBlock

    public void visitBlock(GroovySourceAST t, int visit)

### visitBnot

    public void visitBnot(GroovySourceAST t, int visit)

### visitBor

    public void visitBor(GroovySourceAST t, int visit)

### visitBorAssign

    public void visitBorAssign(GroovySourceAST t, int visit)

### visitBsr

    public void visitBsr(GroovySourceAST t, int visit)

### visitBsrAssign

    public void visitBsrAssign(GroovySourceAST t, int visit)

### visitBxor

    public void visitBxor(GroovySourceAST t, int visit)

### visitBxorAssign

    public void visitBxorAssign(GroovySourceAST t, int visit)

### visitCaseGroup

    public void visitCaseGroup(GroovySourceAST t, int visit)

### visitClassDef

    public void visitClassDef(GroovySourceAST t, int visit)

### visitClosedBlock

    public void visitClosedBlock(GroovySourceAST t, int visit)

### visitClosureList

    public void visitClosureList(GroovySourceAST t, int visit)

### visitClosureOp

    public void visitClosureOp(GroovySourceAST t, int visit)

### visitColon

    public void visitColon(GroovySourceAST t, int visit)

### visitComma

    public void visitComma(GroovySourceAST t, int visit)

### visitCompareTo

    public void visitCompareTo(GroovySourceAST t, int visit)

### visitCtorCall

    public void visitCtorCall(GroovySourceAST t, int visit)

### visitCtorIdent

    public void visitCtorIdent(GroovySourceAST t, int visit)

### visitDec

    public void visitDec(GroovySourceAST t, int visit)

### visitDefault

    public void visitDefault(GroovySourceAST t, int visit)

### visitDigit

    public void visitDigit(GroovySourceAST t, int visit)

### visitDiv

    public void visitDiv(GroovySourceAST t, int visit)

### visitDivAssign

    public void visitDivAssign(GroovySourceAST t, int visit)

### visitDollar

    public void visitDollar(GroovySourceAST t, int visit)

### visitDot

    public void visitDot(GroovySourceAST t, int visit)

### visitDynamicMember

    public void visitDynamicMember(GroovySourceAST t, int visit)

### visitElist

    public void visitElist(GroovySourceAST t, int visit)

### visitEmptyStat

    public void visitEmptyStat(GroovySourceAST t, int visit)

### visitEnumConstantDef

    public void visitEnumConstantDef(GroovySourceAST t, int visit)

### visitEnumDef

    public void visitEnumDef(GroovySourceAST t, int visit)

### visitEof

    public void visitEof(GroovySourceAST t, int visit)

### visitEqual

    public void visitEqual(GroovySourceAST t, int visit)

### visitEsc

    public void visitEsc(GroovySourceAST t, int visit)

### visitExponent

    public void visitExponent(GroovySourceAST t, int visit)

### visitExpr

    public void visitExpr(GroovySourceAST t, int visit)

### visitExtendsClause

    public void visitExtendsClause(GroovySourceAST t, int visit)

### visitFinal

    public void visitFinal(GroovySourceAST t, int visit)

### visitFloatSuffix

    public void visitFloatSuffix(GroovySourceAST t, int visit)

### visitForCondition

    public void visitForCondition(GroovySourceAST t, int visit)

### visitForEachClause

    public void visitForEachClause(GroovySourceAST t, int visit)

### visitForInIterable

    public void visitForInIterable(GroovySourceAST t, int visit)

### visitForInit

    public void visitForInit(GroovySourceAST t, int visit)

### visitForIterator

    public void visitForIterator(GroovySourceAST t, int visit)

### visitGe

    public void visitGe(GroovySourceAST t, int visit)

### visitGt

    public void visitGt(GroovySourceAST t, int visit)

### visitHexDigit

    public void visitHexDigit(GroovySourceAST t, int visit)

### visitIdent

    public void visitIdent(GroovySourceAST t, int visit)

### visitImplementsClause

    public void visitImplementsClause(GroovySourceAST t, int visit)

### visitImplicitParameters

    public void visitImplicitParameters(GroovySourceAST t, int visit)

### visitImport

    public void visitImport(GroovySourceAST t, int visit)

### visitInc

    public void visitInc(GroovySourceAST t, int visit)

### visitIndexOp

    public void visitIndexOp(GroovySourceAST t, int visit)

### visitInstanceInit

    public void visitInstanceInit(GroovySourceAST t, int visit)

### visitInterfaceDef

    public void visitInterfaceDef(GroovySourceAST t, int visit)

### visitLabeledArg

    public void visitLabeledArg(GroovySourceAST t, int visit)

### visitLabeledStat

    public void visitLabeledStat(GroovySourceAST t, int visit)

### visitLand

    public void visitLand(GroovySourceAST t, int visit)

### visitLbrack

    public void visitLbrack(GroovySourceAST t, int visit)

### visitLcurly

    public void visitLcurly(GroovySourceAST t, int visit)

### visitLe

    public void visitLe(GroovySourceAST t, int visit)

### visitLetter

    public void visitLetter(GroovySourceAST t, int visit)

### visitListConstructor

    public void visitListConstructor(GroovySourceAST t, int visit)

### visitLiteralAs

    public void visitLiteralAs(GroovySourceAST t, int visit)

### visitLiteralAssert

    public void visitLiteralAssert(GroovySourceAST t, int visit)

### visitLiteralBoolean

    public void visitLiteralBoolean(GroovySourceAST t, int visit)

### visitLiteralBreak

    public void visitLiteralBreak(GroovySourceAST t, int visit)

### visitLiteralByte

    public void visitLiteralByte(GroovySourceAST t, int visit)

### visitLiteralCase

    public void visitLiteralCase(GroovySourceAST t, int visit)

### visitLiteralCatch

    public void visitLiteralCatch(GroovySourceAST t, int visit)

### visitLiteralChar

    public void visitLiteralChar(GroovySourceAST t, int visit)

### visitLiteralClass

    public void visitLiteralClass(GroovySourceAST t, int visit)

### visitLiteralContinue

    public void visitLiteralContinue(GroovySourceAST t, int visit)

### visitLiteralDef

    public void visitLiteralDef(GroovySourceAST t, int visit)

### visitLiteralDefault

    public void visitLiteralDefault(GroovySourceAST t, int visit)

### visitLiteralDouble

    public void visitLiteralDouble(GroovySourceAST t, int visit)

### visitLiteralElse

    public void visitLiteralElse(GroovySourceAST t, int visit)

### visitLiteralEnum

    public void visitLiteralEnum(GroovySourceAST t, int visit)

### visitLiteralExtends

    public void visitLiteralExtends(GroovySourceAST t, int visit)

### visitLiteralFalse

    public void visitLiteralFalse(GroovySourceAST t, int visit)

### visitLiteralFinally

    public void visitLiteralFinally(GroovySourceAST t, int visit)

### visitLiteralFloat

    public void visitLiteralFloat(GroovySourceAST t, int visit)

### visitLiteralFor

    public void visitLiteralFor(GroovySourceAST t, int visit)

### visitLiteralIf

    public void visitLiteralIf(GroovySourceAST t, int visit)

### visitLiteralImplements

    public void visitLiteralImplements(GroovySourceAST t, int visit)

### visitLiteralImport

    public void visitLiteralImport(GroovySourceAST t, int visit)

### visitLiteralIn

    public void visitLiteralIn(GroovySourceAST t, int visit)

### visitLiteralInstanceof

    public void visitLiteralInstanceof(GroovySourceAST t, int visit)

### visitLiteralInt

    public void visitLiteralInt(GroovySourceAST t, int visit)

### visitLiteralInterface

    public void visitLiteralInterface(GroovySourceAST t, int visit)

### visitLiteralLong

    public void visitLiteralLong(GroovySourceAST t, int visit)

### visitLiteralNative

    public void visitLiteralNative(GroovySourceAST t, int visit)

### visitLiteralNew

    public void visitLiteralNew(GroovySourceAST t, int visit)

### visitLiteralNull

    public void visitLiteralNull(GroovySourceAST t, int visit)

### visitLiteralPackage

    public void visitLiteralPackage(GroovySourceAST t, int visit)

### visitLiteralPrivate

    public void visitLiteralPrivate(GroovySourceAST t, int visit)

### visitLiteralProtected

    public void visitLiteralProtected(GroovySourceAST t, int visit)

### visitLiteralPublic

    public void visitLiteralPublic(GroovySourceAST t, int visit)

### visitLiteralReturn

    public void visitLiteralReturn(GroovySourceAST t, int visit)

### visitLiteralShort

    public void visitLiteralShort(GroovySourceAST t, int visit)

### visitLiteralStatic

    public void visitLiteralStatic(GroovySourceAST t, int visit)

### visitLiteralSuper

    public void visitLiteralSuper(GroovySourceAST t, int visit)

### visitLiteralSwitch

    public void visitLiteralSwitch(GroovySourceAST t, int visit)

### visitLiteralSynchronized

    public void visitLiteralSynchronized(GroovySourceAST t, int visit)

### visitLiteralThis

    public void visitLiteralThis(GroovySourceAST t, int visit)

### visitLiteralThreadsafe

    public void visitLiteralThreadsafe(GroovySourceAST t, int visit)

### visitLiteralThrow

    public void visitLiteralThrow(GroovySourceAST t, int visit)

### visitLiteralThrows

    public void visitLiteralThrows(GroovySourceAST t, int visit)

### visitLiteralTransient

    public void visitLiteralTransient(GroovySourceAST t, int visit)

### visitLiteralTrue

    public void visitLiteralTrue(GroovySourceAST t, int visit)

### visitLiteralTry

    public void visitLiteralTry(GroovySourceAST t, int visit)

### visitLiteralVoid

    public void visitLiteralVoid(GroovySourceAST t, int visit)

### visitLiteralVolatile

    public void visitLiteralVolatile(GroovySourceAST t, int visit)

### visitLiteralWhile

    public void visitLiteralWhile(GroovySourceAST t, int visit)

### visitLnot

    public void visitLnot(GroovySourceAST t, int visit)

### visitLor

    public void visitLor(GroovySourceAST t, int visit)

### visitLparen

    public void visitLparen(GroovySourceAST t, int visit)

### visitLt

    public void visitLt(GroovySourceAST t, int visit)

### visitMapConstructor

    public void visitMapConstructor(GroovySourceAST t, int visit)

### visitMemberPointer

    public void visitMemberPointer(GroovySourceAST t, int visit)

### visitMethodCall

    public void visitMethodCall(GroovySourceAST t, int visit)

### visitMethodDef

    public void visitMethodDef(GroovySourceAST t, int visit)

### visitMinus

    public void visitMinus(GroovySourceAST t, int visit)

### visitMinusAssign

    public void visitMinusAssign(GroovySourceAST t, int visit)

### visitMlComment

    public void visitMlComment(GroovySourceAST t, int visit)

### visitMod

    public void visitMod(GroovySourceAST t, int visit)

### visitModAssign

    public void visitModAssign(GroovySourceAST t, int visit)

### visitModifiers

    public void visitModifiers(GroovySourceAST t, int visit)

### visitMultiCatch

    public void visitMultiCatch(GroovySourceAST t, int visit)

### visitMultiCatchTypes

    public void visitMultiCatchTypes(GroovySourceAST t, int visit)

### visitNls

    public void visitNls(GroovySourceAST t, int visit)

### visitNotEqual

    public void visitNotEqual(GroovySourceAST t, int visit)

### visitNullTreeLookahead

    public void visitNullTreeLookahead(GroovySourceAST t, int visit)

### visitNumBigDecimal

    public void visitNumBigDecimal(GroovySourceAST t, int visit)

### visitNumBigInt

    public void visitNumBigInt(GroovySourceAST t, int visit)

### visitNumDouble

    public void visitNumDouble(GroovySourceAST t, int visit)

### visitNumFloat

    public void visitNumFloat(GroovySourceAST t, int visit)

### visitNumInt

    public void visitNumInt(GroovySourceAST t, int visit)

### visitNumLong

    public void visitNumLong(GroovySourceAST t, int visit)

### visitObjblock

    public void visitObjblock(GroovySourceAST t, int visit)

### visitOneNl

    public void visitOneNl(GroovySourceAST t, int visit)

### visitOptionalDot

    public void visitOptionalDot(GroovySourceAST t, int visit)

### visitPackageDef

    public void visitPackageDef(GroovySourceAST t, int visit)

### visitParameterDef

    public void visitParameterDef(GroovySourceAST t, int visit)

### visitParameters

    public void visitParameters(GroovySourceAST t, int visit)

### visitPlus

    public void visitPlus(GroovySourceAST t, int visit)

### visitPlusAssign

    public void visitPlusAssign(GroovySourceAST t, int visit)

### visitPostDec

    public void visitPostDec(GroovySourceAST t, int visit)

### visitPostInc

    public void visitPostInc(GroovySourceAST t, int visit)

### visitQuestion

    public void visitQuestion(GroovySourceAST t, int visit)

### visitRangeExclusive

    public void visitRangeExclusive(GroovySourceAST t, int visit)

### visitRangeInclusive

    public void visitRangeInclusive(GroovySourceAST t, int visit)

### visitRbrack

    public void visitRbrack(GroovySourceAST t, int visit)

### visitRcurly

    public void visitRcurly(GroovySourceAST t, int visit)

### visitRegexFind

    public void visitRegexFind(GroovySourceAST t, int visit)

### visitRegexMatch

    public void visitRegexMatch(GroovySourceAST t, int visit)

### visitRegexpCtorEnd

    public void visitRegexpCtorEnd(GroovySourceAST t, int visit)

### visitRegexpLiteral

    public void visitRegexpLiteral(GroovySourceAST t, int visit)

### visitRegexpSymbol

    public void visitRegexpSymbol(GroovySourceAST t, int visit)

### visitRparen

    public void visitRparen(GroovySourceAST t, int visit)

### visitSelectSlot

    public void visitSelectSlot(GroovySourceAST t, int visit)

### visitSemi

    public void visitSemi(GroovySourceAST t, int visit)

### visitShComment

    public void visitShComment(GroovySourceAST t, int visit)

### visitSl

    public void visitSl(GroovySourceAST t, int visit)

### visitSlAssign

    public void visitSlAssign(GroovySourceAST t, int visit)

### visitSlComment

    public void visitSlComment(GroovySourceAST t, int visit)

### visitSlist

    public void visitSlist(GroovySourceAST t, int visit)

### visitSpreadArg

    public void visitSpreadArg(GroovySourceAST t, int visit)

### visitSpreadDot

    public void visitSpreadDot(GroovySourceAST t, int visit)

### visitSpreadMapArg

    public void visitSpreadMapArg(GroovySourceAST t, int visit)

### visitSr

    public void visitSr(GroovySourceAST t, int visit)

### visitSrAssign

    public void visitSrAssign(GroovySourceAST t, int visit)

### visitStar

    public void visitStar(GroovySourceAST t, int visit)

### visitStarAssign

    public void visitStarAssign(GroovySourceAST t, int visit)

### visitStarStar

    public void visitStarStar(GroovySourceAST t, int visit)

### visitStarStarAssign

    public void visitStarStarAssign(GroovySourceAST t, int visit)

### visitStaticImport

    public void visitStaticImport(GroovySourceAST t, int visit)

### visitStaticInit

    public void visitStaticInit(GroovySourceAST t, int visit)

### visitStrictfp

    public void visitStrictfp(GroovySourceAST t, int visit)

### visitStringCh

    public void visitStringCh(GroovySourceAST t, int visit)

### visitStringConstructor

    public void visitStringConstructor(GroovySourceAST t, int visit)

### visitStringCtorEnd

    public void visitStringCtorEnd(GroovySourceAST t, int visit)

### visitStringCtorMiddle

    public void visitStringCtorMiddle(GroovySourceAST t, int visit)

### visitStringCtorStart

    public void visitStringCtorStart(GroovySourceAST t, int visit)

### visitStringLiteral

    public void visitStringLiteral(GroovySourceAST t, int visit)

### visitStringNl

    public void visitStringNl(GroovySourceAST t, int visit)

### visitSuperCtorCall

    public void visitSuperCtorCall(GroovySourceAST t, int visit)

### visitTripleDot

    public void visitTripleDot(GroovySourceAST t, int visit)

### visitType

    public void visitType(GroovySourceAST t, int visit)

### visitTypeArgument

    public void visitTypeArgument(GroovySourceAST t, int visit)

### visitTypeArguments

    public void visitTypeArguments(GroovySourceAST t, int visit)

### visitTypeLowerBounds

    public void visitTypeLowerBounds(GroovySourceAST t, int visit)

### visitTypeParameter

    public void visitTypeParameter(GroovySourceAST t, int visit)

### visitTypeParameters

    public void visitTypeParameters(GroovySourceAST t, int visit)

### visitTypeUpperBounds

    public void visitTypeUpperBounds(GroovySourceAST t, int visit)

### visitTypecast

    public void visitTypecast(GroovySourceAST t, int visit)

### visitUnaryMinus

    public void visitUnaryMinus(GroovySourceAST t, int visit)

### visitUnaryPlus

    public void visitUnaryPlus(GroovySourceAST t, int visit)

### visitUnusedConst

    public void visitUnusedConst(GroovySourceAST t, int visit)

### visitUnusedDo

    public void visitUnusedDo(GroovySourceAST t, int visit)

### visitUnusedGoto

    public void visitUnusedGoto(GroovySourceAST t, int visit)

### visitVariableDef

    public void visitVariableDef(GroovySourceAST t, int visit)

### visitVariableParameterDef

    public void visitVariableParameterDef(GroovySourceAST t, int visit)

### visitVocab

    public void visitVocab(GroovySourceAST t, int visit)

### visitWildcardType

    public void visitWildcardType(GroovySourceAST t, int visit)

### visitWs

    public void visitWs(GroovySourceAST t, int visit)

Groovy Documentation